Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2271203005: mac: Add tests for reading images from NSPasteboard. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
11 months ago by erikchen
Modified:
10 months, 4 weeks ago
CC:
chromium-reviews, dcheng
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

mac: Add tests for reading images from NSPasteboard. No intended behavior change. Just added some tests to verify the current behavior, which loses information when reading retina images from the pasteboard. BUG=355477 Committed: https://crrev.com/880d580725e8d965639dd003354b221e30ef7fb0 Cr-Commit-Position: refs/heads/master@{#414909}

Patch Set 1 #

Patch Set 2 : Clean up test. #

Total comments: 4

Patch Set 3 : Comments from avi. #

Total comments: 2

Patch Set 4 : Comments from avi@ and rebase. #

Total comments: 2

Patch Set 5 : Comments from avi. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+96 lines, -3 lines) Patch
M ui/base/BUILD.gn View 1 chunk +1 line, -0 lines 0 comments Download
M ui/base/clipboard/clipboard_mac.h View 1 2 2 chunks +8 lines, -1 line 0 comments Download
M ui/base/clipboard/clipboard_mac.mm View 1 3 chunks +5 lines, -2 lines 0 comments Download
A ui/base/clipboard/clipboard_mac_unittest.mm View 1 2 3 4 1 chunk +81 lines, -0 lines 0 comments Download
M ui/base/ui_base_tests.gyp View 1 chunk +1 line, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 27 (15 generated)
erikchen
11 months ago (2016-08-24 21:18:28 UTC) #5
Avi (ping after 24h)
https://codereview.chromium.org/2271203005/diff/20001/ui/base/clipboard/clipboard_mac_unittest.mm File ui/base/clipboard/clipboard_mac_unittest.mm (right): https://codereview.chromium.org/2271203005/diff/20001/ui/base/clipboard/clipboard_mac_unittest.mm#newcode24 ui/base/clipboard/clipboard_mac_unittest.mm:24: bool retina) { It feels weird to be creating ...
11 months ago (2016-08-25 18:53:46 UTC) #9
erikchen
avi: PTAL https://codereview.chromium.org/2271203005/diff/20001/ui/base/clipboard/clipboard_mac_unittest.mm File ui/base/clipboard/clipboard_mac_unittest.mm (right): https://codereview.chromium.org/2271203005/diff/20001/ui/base/clipboard/clipboard_mac_unittest.mm#newcode24 ui/base/clipboard/clipboard_mac_unittest.mm:24: bool retina) { On 2016/08/25 18:53:46, Avi ...
10 months, 4 weeks ago (2016-08-26 17:52:31 UTC) #10
Avi (ping after 24h)
https://codereview.chromium.org/2271203005/diff/40001/ui/base/clipboard/clipboard_mac_unittest.mm File ui/base/clipboard/clipboard_mac_unittest.mm (right): https://codereview.chromium.org/2271203005/diff/40001/ui/base/clipboard/clipboard_mac_unittest.mm#newcode33 ui/base/clipboard/clipboard_mac_unittest.mm:33: static_cast<uint8_t*>(calloc(pixel_width * pixel_height * 4))); calloc takes two parameters, ...
10 months, 4 weeks ago (2016-08-26 18:00:33 UTC) #13
erikchen
https://codereview.chromium.org/2271203005/diff/40001/ui/base/clipboard/clipboard_mac_unittest.mm File ui/base/clipboard/clipboard_mac_unittest.mm (right): https://codereview.chromium.org/2271203005/diff/40001/ui/base/clipboard/clipboard_mac_unittest.mm#newcode33 ui/base/clipboard/clipboard_mac_unittest.mm:33: static_cast<uint8_t*>(calloc(pixel_width * pixel_height * 4))); On 2016/08/26 18:00:32, Avi ...
10 months, 4 weeks ago (2016-08-26 18:05:45 UTC) #14
Avi (ping after 24h)
lgtm https://codereview.chromium.org/2271203005/diff/60001/ui/base/clipboard/clipboard_mac_unittest.mm File ui/base/clipboard/clipboard_mac_unittest.mm (right): https://codereview.chromium.org/2271203005/diff/60001/ui/base/clipboard/clipboard_mac_unittest.mm#newcode33 ui/base/clipboard/clipboard_mac_unittest.mm:33: static_cast<uint8_t*>(calloc(pixel_width * pixel_height * 4, 1))); Or calloc(pixel_width ...
10 months, 4 weeks ago (2016-08-26 19:24:05 UTC) #15
erikchen
https://codereview.chromium.org/2271203005/diff/60001/ui/base/clipboard/clipboard_mac_unittest.mm File ui/base/clipboard/clipboard_mac_unittest.mm (right): https://codereview.chromium.org/2271203005/diff/60001/ui/base/clipboard/clipboard_mac_unittest.mm#newcode33 ui/base/clipboard/clipboard_mac_unittest.mm:33: static_cast<uint8_t*>(calloc(pixel_width * pixel_height * 4, 1))); On 2016/08/26 19:24:05, ...
10 months, 4 weeks ago (2016-08-26 19:36:23 UTC) #16
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2271203005/80001
10 months, 4 weeks ago (2016-08-26 19:37:29 UTC) #19
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/282350)
10 months, 4 weeks ago (2016-08-26 22:24:10 UTC) #21
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2271203005/80001
10 months, 4 weeks ago (2016-08-26 23:51:43 UTC) #23
commit-bot: I haz the power
Committed patchset #5 (id:80001)
10 months, 4 weeks ago (2016-08-27 10:55:12 UTC) #25
commit-bot: I haz the power
10 months, 4 weeks ago (2016-08-27 10:57:13 UTC) #27
Message was sent while issue was closed.
Patchset 5 (id:??) landed as
https://crrev.com/880d580725e8d965639dd003354b221e30ef7fb0
Cr-Commit-Position: refs/heads/master@{#414909}
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 25c286973